# Uses of Interface
org.eclipse.emf.cdo.expressions.DoubleValue

Packages that use DoubleValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of DoubleValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return DoubleValue
Modifier and Type
Method
Description
`DoubleValue`
ExpressionsFactory.`createDoubleValue()`
Returns a new object of class 'Double Value'.

## Uses of DoubleValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement DoubleValue
Modifier and Type
Class
Description
`class`
`DoubleValueImpl`
An implementation of the model object 'Double Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return DoubleValue
Modifier and Type
Method
Description
`DoubleValue`
ExpressionsFactoryImpl.`createDoubleValue()`

## Uses of DoubleValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return DoubleValue
Modifier and Type
Method
Description
`static DoubleValue`
ExpressionsUtil.`value(double literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type DoubleValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseDoubleValue(DoubleValue object)`
Returns the result of interpreting the object as an instance of 'Double Value'.